package main

import (
	"log"

	"git.tovijaeschke.xyz/tovi/personal_website/database"
	"git.tovijaeschke.xyz/tovi/personal_website/variables"
	"git.tovijaeschke.xyz/tovi/personal_website/webserver"
)

func main() {
	log.Println("Initialising database connection...")

	err := database.InitDatabaseConn()
	if err != nil {
		log.Fatal(err)
	}

	log.Printf(
		"Starting webserver on %s\n",
		variables.WebserverHost,
	)

	err = webserver.Start()
	if err != nil {
		log.Fatal(err)
	}
}
